# Add a emergency address for a number

With this endpoint, you can provision an emergency address associated with this number.

Endpoint: POST /v1/projects/{projectId}/activeNumbers/{phoneNumber}/emergencyAddress:provision
Version: 1.0.3
Security: Basic, OAuth2.0

## Path parameters:

  - `projectId` (string, required)
    Found on your Sinch Customer Dashboard. Settings > Projects.
    Example: "YOUR_projectId"

  - `phoneNumber` (string, required)
    Output only. The phone number in E.164 format with leading +.
    Example: "+12025550134"

## Request fields (application/json):

  - `displayName` (string, required)
    Name for emergency address.
    Example: "New emergency address"

  - `address` (object, required)
    Details of the emergency address.

  - `address.streetNumber` (string, required)
    The street number for the emergency address.
    Example: "12345"

  - `address.streetInfo` (string, required)
    The street name of the emergency location.
    Example: "Main St"

  - `address.city` (string, required)
    The city of the emergency location.
    Example: "Springfield"

  - `address.state` (string, required)
    The state or province of the emergency location.
    Example: "IL"

  - `address.postalCode` (string, required)
    The postal code of the emergency location.
    Example: "62701"

  - `address.location` (string)
    The location for address.
    Example: "Apt 5"

  - `address.postalCodePlusFour` (string)
    The postal code of the emergency location.
    Example: "1234"

## Response 200 fields (application/json):

  - `streetNumber` (string)
    The street number for the emergency address.
    Example: "12345"

  - `streetInfo` (string)
    The street name of the emergency location.
    Example: "Main St"

  - `location` (string)
    The location for address.
    Example: "Apt 5"

  - `city` (string)
    The city of the emergency location.
    Example: "Springfield"

  - `state` (string)
    The state or province of the emergency location.
    Example: "IL"

  - `postalCode` (string)
    The postal code of the emergency location.
    Example: "62701"

  - `postalCodePlusFour` (string)
    The postal code of the emergency location.
    Example: "1234"

## Response 400 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    Enum: 400

  - `error.message` (string)

  - `error.status` (string)
    Enum: "INVALID_ARGUMENT"

  - `error.details` (array)

  - `error.details.type` (string)
    Enum: "BadRequest"

  - `error.details.fieldViolations` (array)

  - `error.details.fieldViolations.field` (string)

  - `error.details.fieldViolations.description` (string)

## Response 404 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    Enum: 404

  - `error.message` (string)

  - `error.status` (string)
    Enum: "NOT_FOUND"

  - `error.details` (array)

  - `error.details.type` (string)

  - `error.details.resourceType` (string)
    The type of the resource that was not found.

  - `error.details.resourceName` (string)
    The name of the resource that was not found.

  - `error.details.owner` (string)
    The owner of the resource that was not found.

  - `error.details.description` (string)
    A description of the error.

## Response 500 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    Enum: 500

  - `error.message` (string)

  - `error.status` (string)
    Enum: "INTERNAL", "UNKNOWN"

  - `error.details` (array)


